## visad.bom
Class ShadowCurveSetTypeJ2D

    java.lang.Object
      visad.ShadowType
          visad.java2d.ShadowTypeJ2D
              visad.java2d.ShadowFunctionOrSetTypeJ2D
                  visad.java2d.ShadowSetTypeJ2D
                      visad.bom.ShadowCurveSetTypeJ2D

All Implemented Interfaces:
  Serializable

public class ShadowCurveSetTypeJ2D
extends ShadowSetTypeJ2D

The ShadowCurveSetTypeJ2D class shadows the SetType class for CurveManipulationRendererJ2D, within a DataDisplayLink, under Java2D.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.java2d.ShadowFunctionOrSetTypeJ2D
``

Fields inherited from class visad.java2d.ShadowTypeJ2D
``

Fields inherited from class visad.ShadowType
`LEGAL, METERS_PER_DEGREE, NESTED, NOTHING_MAPPED, SIMPLE_ANIMATE_FIELD, SIMPLE_FIELD, SIMPLE_TUPLE`

Constructor Summary
`ShadowCurveSetTypeJ2D(MathType t, DataDisplayLink link, ShadowType parent)` Construct a new ShadowCurveSetTypeJ2D.

Method Summary
`boolean` `doTransform(Object group, Data data, float[] value_array, float[] default_values, DataRenderer renderer)` Transform data into a Java2D scene graph.

Methods inherited from class visad.java2d.ShadowFunctionOrSetTypeJ2D
`addSwitch, addToGroup, addToSwitch, doTransform, getDomain, getRange, getTextMaps, makeBranch, makeSwitch, postProcess, preProcess, recurseRange, setTexCoords, textureToGroup, wantIndexed`

Methods inherited from class visad.java2d.ShadowTypeJ2D

`addLabelsToGroup, addToGroup, allowCurvedTexture, assembleColor, assembleFlow, assembleSelect, assembleShape, assembleSpatial, checkIndices, getAdaptedParent, getAdaptedShadowType, getComponents, getData, getDisplay, getDisplayIndices, getLevelOfDifficulty, getMappedDisplayScalar, getMultipleDisplayScalar, getParentText, getParentTextControl, getType, getValueIndices, makeContour, makeFlow, makePointGeometry, makeStreamline, makeText, mapValues, mapValues, mapValues, setText, terminalTupleOrScalar, toString`

Methods inherited from class visad.ShadowType

`addTextToGroup, adjustFlowToEarth, adjustZ, allowConstantColorSurfaces, allowLinearContour, byteToFloat, floatToByte, getAdjustProjectionSeam, getAnyContour, getAnyFlow, getAnyShape, getAnyText, getComponentIndex, getComponentWithRef, getCurvedTexture, getDefaultColorIndex, getIsLinearContour3D, getIsTerminal, getIsTexture3D, getIsTextureMap, getLink, getMultipleSpatialDisplayScalar, getRefToComponent, makePointGeometry, makeSpatialSet, recurseComponent, setTex3DCoords, setTexStackCoords, terminalTupleOrScalar, texture3DToGroup, textureDepth, textureHeight, textureStackToGroup, textureWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShadowCurveSetTypeJ2D

    public ShadowCurveSetTypeJ2D(MathType t,
                                 DataDisplayLink link,
                                 ShadowType parent)
                          throws VisADException,
                                 RemoteException

  Construct a new ShadowCurveSetTypeJ2D.

Parameters:
  `t` - MathType of data (must be a SetType)
  `link` - DataDisplayLink to DataReference
  `parent` - parent ShadowType.
Throws:
  `VisADException` - problem creating ShadowType
  `RemoteException` - problem with remote object creation.

Method Detail

### doTransform

    public boolean doTransform(Object group,
                               Data data,
                               float[] value_array,
                               float[] default_values,
                               DataRenderer renderer)
                        throws VisADException,
                               RemoteException

  Transform data into a Java2D scene graph.

  Parameters:
    `group` - group to add generated scene graph components (children) to
    `value_array` - inherited valueArray values;
    `default_values` - defaults for each display.DisplayRealTypeVector;
  Returns:
    true if need to post-process
  Throws:
    `VisADException` - illegal data or some other VisAD error
    `RemoteException` - illegal data or some other remote error